Subject: bug#30252: 24.5; Rudel cannot join infinote over starttls

From: Noam Postavsky <[email-masked]>
Date: Thu, 25 Jan 2018 14:02:18 -0500

On Thu, Jan 25, 2018 at 1:40 PM, Teppo <[email-masked]> wrote:
>
> I attempted to join an Infinote server using Rudel plugin. Emacs
> attempts to connect and hangs.
>
> According to strace, Emacs does
> "execve("/usr/bin/gnutls-cli", ["/usr/bin/gnutls-cli", "--starttls",
> "--kx", "ANON_DH", "--port", "6523", "my-server-name.invalid"], [/* 41
> vars */] <unfinish
>
> The parameter --kx is not recognized by the gnutls-cli. This is
> probably the root cause for things going wrong.
>
> Both Emacs and gnutls-cli were installed though the package manager of
> Debian 9. Rudel was installed using the package-install command of Emacs.
>
>
> Did not crash, but became unresponsive until externally killed.

Does it work if you install libgnutls and use that instead of
gnutls-cli (M-: (gnutls-available-p) RET should give t)? AFAIK, the
gnutls-cli method is not really maintained anymore.

Although, Rudel is not exactly being worked on either, not sure if it
would work regardless.